petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateRigidBody

for the default global section, create rigid body modes from coordinates

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateRigidBody(DM dm, MatNullSpace *sp)

Collective on DM Many br

### Input Arguments

dm -the DM Many br

### Output Argument

sp -the null space Many br

Note: This is necessary to take account of Dirichlet conditions on the displacements Many br

Many br

### See Also

MatNullSpaceCreate()

Level:advanced
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex77.c.html